# Method: events.list

**Full name**: projects.locations.reasoningEngines.sessions.events.list

Lists `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/Event` in a given session.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/events`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the session to list events from. Format: `projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}/sessions/{session}`

### Query parameters

`pageSize` `integer` Optional. The maximum number of events to return. The service may return fewer than this value. If unspecified, at most 100 events will be returned. These events are ordered by timestamp in ascending order.
`pageToken` `string` Optional. The `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines.sessions.events/list#body.ListEventsResponse.FIELDS.next_page_token` value returned from a previous list `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines.sessions.events/list#google.cloud.aiplatform.v1.SessionService.ListEvents` call.
`filter` `string` Optional. The standard list filter. Supported fields: \* `timestamp` range (i.e. `timestamp>="2025-01-31T11:30:00-04:00"` where the timestamp is in RFC 3339 format)

More detail in [AIP-160](https://google.aip.dev/160).
`orderBy` `string` Optional. A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending. Supported fields: \* `timestamp`

Example: `timestamp desc`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines.sessions.events/list#google.cloud.aiplatform.v1.SessionService.ListEvents`.

If successful, the response body contains data with the following structure:
Fields `sessionEvents[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/SessionEvent`)`` A list of events matching the request. Ordered by timestamp in ascending order.
`nextPageToken` `string` A token, which can be sent as `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.reasoningEngines.sessions.events/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. Absence of this field indicates there are no subsequent pages.

| JSON representation |
|---|
| ``` { "sessionEvents": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/SessionEvent`) } ], "nextPageToken": string } ``` |